## master

=== Makefile ===
PREFIX?=/usr
CC=gcc
CFLAGS=-Wall -std=c99 -fPIC -O2 -nostartfiles -shared `pkg-config --cflags gdk-pixbuf-2.0`
LIBS=`pkg-config --libs gdk-pixbuf-2.0`

MACHINE:=$(shell uname -m)

ifeq ($(MACHINE), x86_64)
	LIBDIR?=$(PREFIX)/lib64
else
	LIBDIR?=$(PREFIX)/lib
endif

VERSION=0.2.1

all:
	$(CC) $(CFLAGS) $(INC) ./gdkpixbuf.c -o ./gdkpixbuf.so $(LDFLAGS) $(LIBS)

clean:
	rm -f ./gdkpixbuf.so

install:
	test -d "$(DESTDIR)$(LIBDIR)/efind/extensions" || mkdir -p "$(DESTDIR)$(LIBDIR)/efind/extensions"
	cp ./gdkpixbuf.so "$(DESTDIR)$(LIBDIR)/efind/extensions"
	chmod 755 "$(DESTDIR)$(LIBDIR)/efind/extensions/gdkpixbuf.so"

uninstall:
	rm -f "$(DESTDIR)$(LIBDIR)/efind/extensions/gdkpixbuf.so"

tarball:
	cd .. && \
	rm -rf ./efind-gdkpixbuf-$(VERSION) && \
	cp -r ./efind-gdkpixbuf ./efind-gdkpixbuf-$(VERSION) && \
	find ./efind-gdkpixbuf-$(VERSION) -name ".git*" | xargs rm -r && \
	tar cfJ ./efind-gdkpixbuf-$(VERSION).tar.xz ./efind-gdkpixbuf-$(VERSION) --remove-files

=== debian/changelog ===
efind-gdkpixbuf (0.2-1) unstable; urgency=low

  * Python 3 migration

 -- Sebastian Fedrau <sebastian.fedrau@gmail.com>  Sat, 13 Jul 2019 11:07:45 +0100

efind-gdkpixbuf (0.2-0) unstable; urgency=low

  * new file locations

 -- Sebastian Fedrau <sebastian.fedrau@gmail.com>  Sat, 23 Dec 2017 15:50:40 +0100

efind-gdkpixbuf (0.1-2) unstable; urgency=low

  * check length of filename to avoid buffer overflows

 -- Sebastian Fedrau <sebastian.fedrau@gmail.com>  Sun, 02 Jul 2017 09:47:08 +0100

efind-gdkpixbuf (0.1-1) unstable; urgency=low

  * Initial release

 -- Sebastian Fedrau <sebastian.fedrau@gmail.com>  Fri, 06 Jan 2017 17:03:21 +0100

=== PKGBUILD ===
# Maintainer: Sebastian Fedrau <sebastian.fedrau@gmail.com>
pkgname=efind-gdkpixbuf
pkgver=0.2.1
pkgrel=1
epoch=
pkgdesc="Filter search results by image properties."
arch=('i686' 'x86_64')
url="https://github.com/20centaurifux/efind-gdkpixbuf"
license=('GPL3')
groups=()
depends=('efind>=0.1.0' 'gdk-pixbuf2>=2.30.0-1')
makedepends=()
checkdepends=()
optdepends=()
provides=()
conflicts=()
replaces=()
backup=()
options=()
install=
changelog=
source=("$pkgname-$pkgver.tar.xz")
noextract=()
md5sums=('')
validpgpkeys=()

build() {
	cd "$pkgname-$pkgver"
	make
}

package() {
	cd "$pkgname-$pkgver"
	make DESTDIR="$pkgdir/" LIBDIR=/usr/lib install
}

=== debian/control ===
Source: efind-gdkpixbuf
Section: utils
Priority: optional
Maintainer: Sebastian Fedrau <sebastian.fedrau@gmail.com>
Build-Depends: debhelper (>=9), libgdk-pixbuf2.0-dev
Standards-Version: 3.9.6
Homepage: https://github.com/20centaurifux/efind-gdkpixbuf
Vcs-Git: https://github.com/20centaurifux/efind-gdkpixbuf.git

Package: efind-gdkpixbuf
Architecture: any
Depends: efind (>= 0.1-1), libgdk-pixbuf2.0-0 (>= 2.25.0), ${shlibs:Depends}
Description: Filter search result by image properties.
 efind extension for filtering search results by image properties
 using gdk-pixbuf.
